set topDir [file dirname [file dirname [info script]]]
set docDir [file join $topDir doc]
set libDir [file join $topDir library]

package require doctools

set files { clock.dt }

foreach format { nroff html } {
    ::doctools::new dt -format $format -module Tcl
    foreach fileName $files {
	set file [file join $docDir $fileName]
	puts "Generating $format: $file"
	set f [open $file r]
	set text [read $f]
	close $f
	dt configure -file $file
	if { [catch {
	    dt format $text
	} data] } {
	    puts stderr $::errorInfo
	} else {
	    set w [dt warnings]
	    if { [llength $w] > 0 } {
		puts [join $w \n]
	    }
	}
	dt destroy
	if { $format eq {nroff} } {
	    set target [file rootname $file].n
	} else {
	    set target [file rootname $file].$format
	}
	set f [open $target w]
	puts $f $data
	close $f
    }
}
